BareMetal API, REST: Image.ListCompatibleImages
Lists images available for installation on the selected configuration.
HTTP request
POST https://baremetal.api.yandexcloud.kz/baremetal/v2/folders/{folderId}/images:listCompatible
Path parameters
|
Field |
Description |
|
folderId |
string Required field. Folder of the server being configured. Used to check configuration access. |
Body parameters
{
// Includes only one of the fields `stockConfigurationId`, `customConfiguration`
"stockConfigurationId": "string",
"customConfiguration": {
"configurationId": "string",
"name": "string",
"cpu": {
"id": "string",
"name": "string",
"vendor": "string",
"physicalCores": "string",
"frequencyMhz": "string",
"count": "string",
"threads": "string"
},
"diskDrives": [
{
"type": "string",
"count": "string",
"sizeBytes": "string"
}
],
"ram": {
"id": "string",
"sizeBytes": "string"
},
"networkInterfaces": [
{
"id": "string",
"name": "string",
"configurationId": "string",
"linkSpeedGbps": "string",
"availableModes": [
"string"
],
"mcLagOptions": {
"interfaceCount": "string"
},
"mainMode": "string"
}
]
},
// end of the list of possible fields
"imageFolderId": "string",
"pageSize": "string",
"pageToken": "string"
}
|
Field |
Description |
|
stockConfigurationId |
string ID of an existing stock configuration. Includes only one of the fields Exactly one configuration must be provided. |
|
customConfiguration |
Complete custom configuration, in the same format as for server creation. Includes only one of the fields Exactly one configuration must be provided. |
|
imageFolderId |
string Folder containing images. Defaults to "baremetal-standard-images". |
|
pageSize |
string (int64) Maximum number of compatible images to return. Defaults to 20; maximum 1000. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Token from the previous response. Keep the configuration and folders unchanged. |
UserConfiguration
|
Field |
Description |
|
configurationId |
string ID of the configuration. |
|
name |
string Name of the configuration. |
|
cpu |
CPU configuration. |
|
diskDrives[] |
Array of disk drive configurations. |
|
ram |
Random-access memory (RAM). |
|
networkInterfaces[] |
Network interfaces of the custom configuration. |
UserCPU
CPU configuration.
|
Field |
Description |
|
id |
string ID of the CPU from configurator. |
|
name |
string Name of the CPU. |
|
vendor |
string Vendor of the CPU. |
|
physicalCores |
string (int64) Number of physical cores per CPU (socket). |
|
frequencyMhz |
string (int64) Frequency of the CPU in megahertz (MHz). |
|
count |
string (int64) Number of cpu. |
|
threads |
string (int64) Number of threads (logical cores) per CPU (socket). |
DiskDriveConfiguration
|
Field |
Description |
|
type |
enum (DiskDriveType) Type of the disk drive.
|
|
count |
string (int64) Number of disk drives. |
|
sizeBytes |
string (int64) Size of a single disk drive. |
UserRAM
|
Field |
Description |
|
id |
string ID of the RAM from configurator. |
|
sizeBytes |
string (int64) Ram size. |
ConfigurationNetworkInterface
|
Field |
Description |
|
id |
string Id of the network interface |
|
name |
string Name of the network interface |
|
configurationId |
string Id of the configuration |
|
linkSpeedGbps |
string (int64) Link speed in gigabits per second |
|
availableModes[] |
enum (InterfaceMode) Available modes for the network interface
|
|
mcLagOptions |
MC-LAG configuration options for aggregated interfaces |
|
mainMode |
enum (InterfaceMode) Primary mode of the network interface.
|
MCLagAggregationOptions
MC-LAG aggregation options for the network interface.
|
Field |
Description |
|
interfaceCount |
string (int64) Number of interfaces in the MC-LAG aggregation. |
Response
HTTP Code: 200 - OK
{
"images": [
{
"imageId": "string",
"folderId": "string",
"name": "string",
"family": "string",
"state": "string",
"publishTime": "string",
"cloudId": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
images[] |
Available compatible images ordered by image ID ascending. |
|
nextPageToken |
string Token for the next page; empty when there are no more compatible images. |
Image
An Image resource.
|
Field |
Description |
|
imageId |
string ID of the image. |
|
folderId |
string ID of the folder that the image belongs to. |
|
name |
string Name of the image |
|
family |
string Family of the image |
|
state |
enum (Status) State of the image.
|
|
publishTime |
string (date-time) Timestamp when the image was published. String in RFC3339 To work with values in this field, use the APIs described in the |
|
cloudId |
string ID of the cloud that the image belongs to. |